---
title: "Searches fulfilment orders by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-fulfilment-fulfilmentorders"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches fulfilment orders by parameters

`GET` `/fulfilment/fulfilmentorders`

Operation ID: `get-fulfilment-fulfilmentorders`

Searches fulfilment orders by parameters

## Query parameters

- `order_item_id` (integer, int32, optional) - Format - int32. Order item id.
- `order_id` (integer, int32, optional) - Format - int32. Order id.
- `fulfilment_id` (integer, int32, optional) - Format - int32. Fulfilment id
- `fulfilment_service_id` (string, uuid, optional) - Format - uuid. Fulfilment service id.
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns fulfilment orders
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /fulfilment/fulfilmentorders:
    get:
      tags:
        - fulfilmentorders
      summary: Searches fulfilment orders by parameters
      description: Searches fulfilment orders by parameters
      operationId: get-fulfilment-fulfilmentorders
      parameters:
        - name: order_item_id
          in: query
          description: Format - int32. Order item id.
          schema:
            type: integer
            description: Order item id.
            format: int32
            nullable: true
        - name: order_id
          in: query
          description: Format - int32. Order id.
          schema:
            type: integer
            description: Order id.
            format: int32
            nullable: true
        - name: fulfilment_id
          in: query
          description: Format - int32. Fulfilment id
          schema:
            type: integer
            description: Fulfilment id
            format: int32
            nullable: true
        - name: fulfilment_service_id
          in: query
          description: Format - uuid. Fulfilment service id.
          schema:
            type: string
            description: Fulfilment service id.
            format: uuid
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns fulfilment orders
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/fulfilment.Order.PagingResponse"
              example:
                data:
                  - tracking_number: string
                    tracking_link: string
                    delivery_service: string
                    fulfilment_service_id: string
                    order_item_id: 0
                    order_id: 0
                    status: string
                    error: string
                    fulfilment_service_name: string
                    fulfilment_id: 0
                    fulfilment_qty: 0
                    fulfilment_date: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    fulfilment.Order.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            oneOf:
              - $ref: "#/components/schemas/fulfilment.ShippitOrder"
            description: Order model.
            discriminator:
              propertyName: fulfilment_service_id
              mapping:
                afc01107-0905-4172-b0be-5787a8e6e0a5: "#/components/schemas/fulfilment.ShippitOrder"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    fulfilment.ShippitOrder:
      title: ""
      type: object
      allOf:
        - $ref: "#/components/schemas/fulfilment.Order"
      properties:
        tracking_number:
          type: string
          description: Tracking number
          nullable: true
        tracking_link:
          type: string
          description: Tracking link to fulfilment service
          nullable: true
        delivery_service:
          type: string
          description: Name of delivery service used for order
          nullable: true
      additionalProperties: false
      description: Shippit order model.
    fulfilment.Order:
      title: ""
      required:
        - fulfilment_service_id
      type: object
      properties:
        fulfilment_service_id:
          type: string
          description: Fulfilment service id.
          format: uuid
        order_item_id:
          type: integer
          description: Order item id.
          format: int32
        order_id:
          type: integer
          description: Order id.
          format: int32
        status:
          type: string
          description: Order Status.
          nullable: true
        error:
          type: string
          description: Error Message.
          nullable: true
        fulfilment_service_name:
          type: string
          description: Fulfilment service name.
          nullable: true
        fulfilment_id:
          type: integer
          description: Fulfilment id
          format: int32
        fulfilment_qty:
          type: integer
          description: Fulfilment quantity
          format: int32
        fulfilment_date:
          type: string
          description: Fulfilment date
          format: date-time
      additionalProperties: false
      description: Order model.
```
